Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# SDKParticulesDlg.h

Go to the documentation of this file.

    00001 // SDKParticulesDlg.h : header file
    00002 //
    00003
    00004 #pragma once
    00005 #include "GlView.h"
    00006 #include "afxwin.h"
    00007 #include "afxcmn.h"
    00008
    00009 // CSDKParticulesDlg dialog
    00010 class CSDKParticulesDlg : public CDialog
    00011 {
    00012 // Construction
    00013 public:
    00014         CSDKParticulesDlg(CWnd* pParent = NULL);        // standard constructor
    00015
    00016         CGlView         *GlRenderCurrent;
    00017         CStatic         *pclStaticCurrent;
    00018         CPoint          oldPoint;
    00019         CPoint          m_MouseDownPoint;
    00020         HDC                     m_hDC;
    00021
    00022 // Dialog Data
    00023         enum { IDD = IDD_SDKPARTICULES_DIALOG };
    00024
    00025         protected:
    00026         virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support
    00027
    00028
    00029 // Implementation
    00030 protected:
    00031         HICON m_hIcon;
    00032
    00033         // Generated message map functions
    00034         virtual BOOL OnInitDialog();
    00035         afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
    00036         afx_msg void OnPaint();
    00037         afx_msg HCURSOR OnQueryDragIcon();
    00038         DECLARE_MESSAGE_MAP()
    00039 public:
    00040         void Reset(void);
    00041
    00042         HBITMAP hBmp;
    00043
    00044         afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
    00045         afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
    00046         afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
    00047         afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    00048         afx_msg void OnBnClickedCheckgrille();
    00049         afx_msg void OnTimer(UINT nIDEvent);
    00050         afx_msg void OnCbnSelchangeComboemittype();
    00051         afx_msg void OnDeltaposSpinpartmaxlife(NMHDR *pNMHDR, LRESULT *pResult);
    00052         afx_msg void OnBnClickedButemitreset();
    00053         afx_msg void OnDeltaposSpinpartminlife(NMHDR *pNMHDR, LRESULT *pResult);
    00054         afx_msg void OnDeltaposSpinemitrate(NMHDR *pNMHDR, LRESULT *pResult);
    00055         afx_msg void OnDeltaposSpinemitrange(NMHDR *pNMHDR, LRESULT *pResult);
    00056         afx_msg void OnDeltaposSpinemitmaxpart(NMHDR *pNMHDR, LRESULT *pResult);
    00057         afx_msg void OnDeltaposSpinemitangular(NMHDR *pNMHDR, LRESULT *pResult);
    00058         afx_msg void OnDeltaposSpinemitmaxposx(NMHDR *pNMHDR, LRESULT *pResult);
    00059         afx_msg void OnDeltaposSpinemitmaxposy(NMHDR *pNMHDR, LRESULT *pResult);
    00060         afx_msg void OnDeltaposSpinemitmaxposz(NMHDR *pNMHDR, LRESULT *pResult);
    00061         afx_msg void OnDeltaposSpinemitminposx(NMHDR *pNMHDR, LRESULT *pResult);
    00062         afx_msg void OnDeltaposSpinemitminposy(NMHDR *pNMHDR, LRESULT *pResult);
    00063         afx_msg void OnDeltaposSpinemitminposz(NMHDR *pNMHDR, LRESULT *pResult);
    00064
    00065     CButton m_Grille;
    00066     CComboBox m_CEmitter_type;
    00067         CEdit m_Cparticule_max_life;
    00068
    00069     CSpinButtonCtrl m_CSpin_part_Max_Life;
    00070         CSpinButtonCtrl m_CSpin_part_Min_Life;
    00071         CSpinButtonCtrl m_CSpin_Emit_Max_Pos_X;
    00072         CSpinButtonCtrl m_CSpin_Emit_Min_Pos_X;
    00073         CSpinButtonCtrl m_CSpin_Emit_Max_Pos_Y;
    00074         CSpinButtonCtrl m_CSpin_Emit_Min_Pos_Y;
    00075         CSpinButtonCtrl m_CSpin_Emit_Max_Pos_Z;
    00076         CSpinButtonCtrl m_CSpin_Emit_Min_Pos_Z;
    00077         CSpinButtonCtrl m_CSpin_Emit_Rate;
    00078         CSpinButtonCtrl m_CSpin_Emit_Range;
    00079         CSpinButtonCtrl m_CSpin_Emit_Max_Part;
    00080         CSpinButtonCtrl m_CSpin_Emit_Angular;
    00081         CSpinButtonCtrl m_CSpin_Particule_Min_Velocity_X;
    00082         CSpinButtonCtrl m_CSpin_Particule_Min_Velocity_Y;
    00083         CSpinButtonCtrl m_CSpin_Particule_Min_Velocity_Z;
    00084         CSpinButtonCtrl m_CSpin_Particule_Max_Velocity_X;
    00085         CSpinButtonCtrl m_CSpin_Particule_Max_Velocity_Y;
    00086         CSpinButtonCtrl m_CSpin_Particule_Max_Velocity_Z;
    00087         CSpinButtonCtrl m_CSpin_Particule_Max_Gravity_X;
    00088         CSpinButtonCtrl m_CSpin_Particule_Max_Gravity_Y;
    00089         CSpinButtonCtrl m_CSpin_Particule_Max_Gravity_Z;
    00090         CSpinButtonCtrl m_CSpin_Particule_Min_Gravity_X;
    00091         CSpinButtonCtrl m_CSpin_Particule_Min_Gravity_Y;
    00092         CSpinButtonCtrl m_CSpin_Particule_Min_Gravity_Z;
    00093         CSpinButtonCtrl m_CSpin_Particule_Max_Red;
    00094         CSpinButtonCtrl m_CSpin_Particule_Min_Red;
    00095         CSpinButtonCtrl m_CSpin_Particule_Max_Green;
    00096         CSpinButtonCtrl m_CSpin_Particule_Min_Green;
    00097         CSpinButtonCtrl m_CSpin_Particule_Max_Blue;
    00098         CSpinButtonCtrl m_CSpin_Particule_Min_Blue;
    00099         CSpinButtonCtrl m_CSpin_Particule_Max_Trans;
    00100         CSpinButtonCtrl m_CSpin_Particule_Min_Trans;
    00101         CSpinButtonCtrl m_CSpin_Particule_Max_Weight;
    00102         CSpinButtonCtrl m_CSpin_Particule_Min_Weight;
    00103         CSpinButtonCtrl m_CSpin_Particule_Max_Size;
    00104         CSpinButtonCtrl m_CSpin_Particule_Min_Size;
    00105         CSpinButtonCtrl m_CSpin_Particule_Max_Acceleration_X;
    00106         CSpinButtonCtrl m_CSpin_Particule_Max_Acceleration_Y;
    00107         CSpinButtonCtrl m_CSpin_Particule_Max_Acceleration_Z;
    00108         CSpinButtonCtrl m_CSpin_Particule_Min_Acceleration_X;
    00109         CSpinButtonCtrl m_CSpin_Particule_Min_Acceleration_Y;
    00110         CSpinButtonCtrl m_CSpin_Particule_Min_Acceleration_Z;
    00111
    00112         CString m_Vparticule_min_life;
    00113         CString m_Vparticule_max_life;
    00114         CString m_VEmit_Rate;
    00115         CString m_VEmit_Range;
    00116         CString m_VEmit_Max_Part;
    00117         CString m_VEmit_Angular;
    00118         CString m_VEmit_Max_Pos_X;
    00119         CString m_VEmit_Max_Pos_Y;
    00120         CString m_VEmit_Max_Pos_Z;
    00121         CString m_VEmit_Min_Pos_X;
    00122         CString m_VEmit_Min_Pos_Y;
    00123         CString m_VEmit_Min_Pos_Z;
    00124         CString m_VParticule_Max_Velocity_x;
    00125         CString m_VParticule_Max_Velocity_Y;
    00126         CString m_VParticule_Max_Velocity_Z;
    00127         CString m_VParticule_Min_Velocity_X;
    00128         CString m_VParticule_Min_Velocity_Y;
    00129         CString m_VParticule_Min_Velocity_Z;
    00130         CString m_VParticule_Max_Acceleration_X;
    00131         CString m_VParticule_Max_Acceleration_Y;
    00132         CString m_VParticule_Max_Acceleration_Z;
    00133         CString m_VParticule_Min_Acceleration_X;
    00134         CString m_VParticule_Min_Acceleration_Y;
    00135         CString m_VParticule_Min_Acceleration_Z;
    00136         CString m_VParticule_Max_Gravity_X;
    00137         CString m_VParticule_Max_Gravity_Y;
    00138         CString m_VParticule_Max_Gravity_Z;
    00139         CString m_VParticule_Min_Gravity_X;
    00140         CString m_VParticule_Min_Gravity_Y;
    00141         CString m_VParticule_Min_Gravity_Z;
    00142         CString m_VParticule_Max_Red;
    00143         CString m_VParticule_Min_Red;
    00144         CString m_VParticule_Max_Green;
    00145         CString m_VParticule_Min_Green;
    00146         CString m_VParticule_Max_Blue;
    00147         CString m_VParticule_Min_Blue;
    00148         CString m_VParticule_Max_Trans;
    00149         CString m_VParticule_Min_Trans;
    00150         CString m_VParticule_Max_Weight;
    00151         CString m_VParticule_Min_Weight;
    00152         CString m_VParticule_Max_Size;
    00153         CString m_VParticule_Min_Size;
    00154
    00155
    00156         afx_msg void OnDeltaposSpinpartmaxgravityx(NMHDR *pNMHDR, LRESULT *pResult);
    00157         afx_msg void OnDeltaposSpinpartmaxgravityy(NMHDR *pNMHDR, LRESULT *pResult);
    00158         afx_msg void OnDeltaposSpinpartmaxgravityz(NMHDR *pNMHDR, LRESULT *pResult);
    00159         afx_msg void OnDeltaposSpinpartmingravityx(NMHDR *pNMHDR, LRESULT *pResult);
    00160         afx_msg void OnDeltaposSpinpartmingravityy(NMHDR *pNMHDR, LRESULT *pResult);
    00161         afx_msg void OnDeltaposSpinpartmingravityz(NMHDR *pNMHDR, LRESULT *pResult);
    00162         afx_msg void OnDeltaposSpinpartmaxaccelx(NMHDR *pNMHDR, LRESULT *pResult);
    00163         afx_msg void OnDeltaposSpinpartmaxaccely(NMHDR *pNMHDR, LRESULT *pResult);
    00164         afx_msg void OnDeltaposSpinpartmaxaccelz(NMHDR *pNMHDR, LRESULT *pResult);
    00165         afx_msg void OnDeltaposSpinpartminaccelx(NMHDR *pNMHDR, LRESULT *pResult);
    00166         afx_msg void OnDeltaposSpinpartminaccely(NMHDR *pNMHDR, LRESULT *pResult);
    00167         afx_msg void OnDeltaposSpinpartminaccelz(NMHDR *pNMHDR, LRESULT *pResult);
    00168         afx_msg void OnDeltaposSpinpartmaxvelocityx(NMHDR *pNMHDR, LRESULT *pResult);
    00169         afx_msg void OnDeltaposSpinpartmaxvelocityy(NMHDR *pNMHDR, LRESULT *pResult);
    00170         afx_msg void OnDeltaposSpinpartmaxvelocityz(NMHDR *pNMHDR, LRESULT *pResult);
    00171         afx_msg void OnDeltaposSpinpartminvelocityx(NMHDR *pNMHDR, LRESULT *pResult);
    00172         afx_msg void OnDeltaposSpinpartminvelocityy(NMHDR *pNMHDR, LRESULT *pResult);
    00173         afx_msg void OnDeltaposSpinpartminvelocityz(NMHDR *pNMHDR, LRESULT *pResult);
    00174         afx_msg void OnDeltaposSpinpartmaxred(NMHDR *pNMHDR, LRESULT *pResult);
    00175         afx_msg void OnDeltaposSpinpartmaxgreen(NMHDR *pNMHDR, LRESULT *pResult);
    00176         afx_msg void OnDeltaposSpinpartmaxgravityz2(NMHDR *pNMHDR, LRESULT *pResult);
    00177         afx_msg void OnDeltaposSpinpartmaxtrans(NMHDR *pNMHDR, LRESULT *pResult);
    00178         afx_msg void OnDeltaposSpinpartmingreen(NMHDR *pNMHDR, LRESULT *pResult);
    00179         afx_msg void OnDeltaposSpinpartmingravityz2(NMHDR *pNMHDR, LRESULT *pResult);
    00180         afx_msg void OnDeltaposSpinpartmintrans(NMHDR *pNMHDR, LRESULT *pResult);
    00181         afx_msg void OnDeltaposSpinpartmaxweight(NMHDR *pNMHDR, LRESULT *pResult);
    00182         afx_msg void OnDeltaposSpinpartmaxsize(NMHDR *pNMHDR, LRESULT *pResult);
    00183         afx_msg void OnDeltaposSpinpartminweight(NMHDR *pNMHDR, LRESULT *pResult);
    00184         afx_msg void OnDeltaposSpinpartminsize(NMHDR *pNMHDR, LRESULT *pResult);
    00185         afx_msg void OnDeltaposSpinpartminred(NMHDR *pNMHDR, LRESULT *pResult);
    00186         afx_msg void OnBnClickedButtontextchange();
    00187         afx_msg void OnBnClickedButtonsave();
    00188 };